# Uses of Interface
org.eclipse.birt.core.archive.compound.IArchiveFile

Packages that use IArchiveFile
Package
Description
org.eclipse.birt.core.archive
org.eclipse.birt.core.archive.compound
org.eclipse.birt.core.util

## Uses of IArchiveFile in org.eclipse.birt.core.archive

Classes in org.eclipse.birt.core.archive that implement IArchiveFile
Modifier and Type
Class
Description
`class`
`FolderArchiveFile`
Methods in org.eclipse.birt.core.archive that return IArchiveFile
Modifier and Type
Method
Description
`IArchiveFile`
FolderArchive.`getArchiveFile()`
`IArchiveFile`
FolderArchiveWriter.`getArchiveFile()`
`IArchiveFile`
IDocArchiveWriter.`getArchiveFile()`
Get archive file
Methods in org.eclipse.birt.core.archive with parameters of type IArchiveFile
Modifier and Type
Method
Description
`static void`
ArchiveUtil.`copy(IArchiveFile inArchive, IArchiveFile outArchive)`
`static void`
ArchiveUtil.`copy(IArchiveFile inArchive, IArchiveFile outArchive, Map<String,String> transformations)`

## Uses of IArchiveFile in org.eclipse.birt.core.archive.compound

Classes in org.eclipse.birt.core.archive.compound that implement IArchiveFile
Modifier and Type
Class
Description
`class`
`ArchiveFile`
change the default format to ext2.
`class`
`ArchiveFileV1`
`class`
`ArchiveFileV2`
the archive file contains following mode: "r" open the file for read only.
`class`
`ArchiveFileV3`
`class`
`ArchiveView`
Fields in org.eclipse.birt.core.archive.compound declared as IArchiveFile
Modifier and Type
Field
Description
`protected IArchiveFile`
ArchiveFile.`af`
`protected IArchiveFile`
ArchiveReader.`archive`
Methods in org.eclipse.birt.core.archive.compound that return IArchiveFile
Modifier and Type
Method
Description
`IArchiveFile`
ArchiveFileFactory.`createArchive(String archiveId)`
`IArchiveFile`
IArchiveFileFactory.`createArchive(String archiveId)`
Create an archive file.
`IArchiveFile`
ArchiveFileFactory.`createTransientArchive(String archiveId)`
`IArchiveFile`
IArchiveFileFactory.`createTransientArchive(String archiveId)`
Create an archive in transient mode.
`IArchiveFile`
ArchiveFileFactory.`createTransientView(String viewId, IArchiveFile archive)`
`IArchiveFile`
IArchiveFileFactory.`createTransientView(String viewId, IArchiveFile archive)`
Create a transient view.
`IArchiveFile`
ArchiveFileFactory.`createView(String viewId, IArchiveFile archive)`
`IArchiveFile`
IArchiveFileFactory.`createView(String viewId, IArchiveFile archive)`
Create a view, the view uses "viewId" as the identifier and saved into file "filename".
`IArchiveFile`
ArchiveReader.`getArchive()`
`IArchiveFile`
ArchiveView.`getArchive()`
`IArchiveFile`
ArchiveWriter.`getArchive()`
Deprecated.
use getArchiveFile instead
`IArchiveFile`
ArchiveWriter.`getArchiveFile()`
`IArchiveFile`
ArchiveView.`getView()`
`IArchiveFile`
ArchiveFileFactory.`openArchive(String archiveId, String mode)`
`IArchiveFile`
IArchiveFileFactory.`openArchive(String archiveId, String mode)`
Open the archive or view.
`IArchiveFile`
ArchiveFileFactory.`openView(String viewId, String mode, IArchiveFile archive)`
`IArchiveFile`
IArchiveFileFactory.`openView(String viewId, String mode, IArchiveFile archive)`
Open the view with viewId in `mode` mode, the depend archive file is opened in r mode, and is shared.
Methods in org.eclipse.birt.core.archive.compound with parameters of type IArchiveFile
Modifier and Type
Method
Description
`IArchiveFile`
ArchiveFileFactory.`createTransientView(String viewId, IArchiveFile archive)`
`IArchiveFile`
IArchiveFileFactory.`createTransientView(String viewId, IArchiveFile archive)`
Create a transient view.
`IArchiveFile`
ArchiveFileFactory.`createView(String viewId, IArchiveFile archive)`
`IArchiveFile`
IArchiveFileFactory.`createView(String viewId, IArchiveFile archive)`
Create a view, the view uses "viewId" as the identifier and saved into file "filename".
`IArchiveFile`
ArchiveFileFactory.`openView(String viewId, String mode, IArchiveFile archive)`
`IArchiveFile`
IArchiveFileFactory.`openView(String viewId, String mode, IArchiveFile archive)`
Open the view with viewId in `mode` mode, the depend archive file is opened in r mode, and is shared.
Constructors in org.eclipse.birt.core.archive.compound with parameters of type IArchiveFile
Modifier
Constructor
Description
``
`ArchiveReader(IArchiveFile archive)`
``
`ArchiveView(String viewName, IArchiveFile archive, String viewMode)`
``
`ArchiveView(IArchiveFile view, IArchiveFile archive, boolean sharedArchive)`
``
`ArchiveWriter(IArchiveFile archive)`

## Uses of IArchiveFile in org.eclipse.birt.core.util

Methods in org.eclipse.birt.core.util with parameters of type IArchiveFile
Modifier and Type
Method
Description
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
BTreeUtil.`createBTree(IArchiveFile archive, String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
BTreeUtil.`openBTree(IArchiveFile archive, String entryName, int dataType)`